مواد پر جائیں

Luma Photon Reframe

انٹیگریٹ کریں

ماڈل id luma-photon/reframe
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/luma-photon/reframe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "aspect_ratio": "1:1"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست: ≈⁨$0.019⁩ 19 API کریڈٹس · ≈ ⁨₽2.00⁩ اس صفحے پر چلائیں

API کلید حاصل کریں
Luma AI تصویر میں ترمیم #outpainting#reframe

معیاری Photon آؤٹ پینٹنگ جو تصویر کو نئی نسبتِ ابعاد تک بڑھاتی ہے، اختیاری خطے کے کنٹرولز کے ساتھ

Luma AI · تصویر

آپ کا پہلا نتیجہ یہاں آئے گا

ذیل میں درخواست بنائیں اور اپنی API کلید کے ساتھ چلائیں۔ آؤٹ پٹس ہمارے اسٹوریج میں کاپی ہو جاتے ہیں، ہمیشہ کے لیے یا مفت میں 7 دن تک محفوظ رہتے ہیں۔

درخواست بنائیں

کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔

0 / 5000

reframing کی رہنمائی کرنے والی اختیاری متنی ہدایت۔

•لازمی image_url
فائل ڈراپ کریں، یا

reframe کی جانے والی تصویر کی طرف اشارہ کرنے والا URL۔

aspect_ratio •لازمی

reframing کے بعد تصویر کا aspect ratio۔

ایڈوانسڈ grid_position_x · grid_position_y · x_end · x_start · y_end · y_start · enable_safety_checker

reframing grid کی افقی (X) پوزیشن۔

reframing grid کی عمودی (Y) پوزیشن۔

reframing کے لیے X محور پر آخری coordinate۔

reframing کے لیے X محور پر ابتدائی coordinate۔

reframing کے لیے Y محور پر آخری coordinate۔

reframing کے لیے Y محور پر ابتدائی coordinate۔

POST /run/luma-photon/reframe?wait=20 قیمت → ⁨$0.019⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/luma-photon/reframe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "aspect_ratio": "1:1"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست چلائیں

آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں

Luma Photon Reframe کے بارے میں

`image_url` پر موجود تصویر کو 1:1، 16:9، 9:16، 4:3، 3:4، 21:9 اور 9:21 میں سے لازمی `aspect_ratio` تک بڑھاتا اور دوبارہ فریم کرتا ہے۔ اختیاری `prompt` نئے مواد کی رہنمائی کرتا ہے۔ x اور y کے لیے گرڈ جگہ اور آغاز/اختتام نقاط نئی فریم میں اصل تصویر کی جگہ مقرر کرتے ہیں۔ یہ non-Flash reframe ویرینٹ ہے۔

پیرامیٹرز

معیاری نام یا مقامی نام میں سے صرف ایک بھیجیں، دونوں نہیں۔ معیاری نام

نامقسم ڈیفالٹمجاز تفصیل
image_urlلازمی image
قسمurl · image
reframe کی جانے والی تصویر کی طرف اشارہ کرنے والا URL۔
aspect_ratioلازمی
قسمenum
1:116:99:164:33:421:99:21
reframing کے بعد تصویر کا aspect ratio۔
promptاختیاری
قسمstring | null
≤ 5,000 کریکٹرز≥ 3 کریکٹرز
reframing کی رہنمائی کرنے والی اختیاری متنی ہدایت۔
grid_position_xاختیاری
قسمinteger | null
reframing grid کی افقی (X) پوزیشن۔
grid_position_yاختیاری
قسمinteger | null
reframing grid کی عمودی (Y) پوزیشن۔
x_endاختیاری
قسمinteger | null
reframing کے لیے X محور پر آخری coordinate۔
x_startاختیاری
قسمinteger | null
reframing کے لیے X محور پر ابتدائی coordinate۔
y_endاختیاری
قسمinteger | null
reframing کے لیے Y محور پر آخری coordinate۔
y_startاختیاری
قسمinteger | null
reframing کے لیے Y محور پر ابتدائی coordinate۔
enable_safety_checkerاختیاری
قسمboolean
ڈیفالٹtrue
false سیٹ کر کے اسکریننگ نرم کی جا سکتی ہے، بشرطیکہ کال کرنے والا مجاز ہو۔
لازمی معیاری نام، یہ بھی قبول ہے

فائل پیرامیٹرز عوامی https:// URL، 10 MB تک کی data: URI، یا اپ لوڈ کے file_url کو قبول کرتے ہیں۔ فائلیں

آؤٹ پٹ

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "luma-photon/reframe",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 19,
    "usd": "0.019",
    "charged": 19,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "aspect_ratio": "1:1"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
آپ کی فائلیں، آپ کا انتخابہر outputs[].url ہمارے اسٹوریج میں ایک کاپی ہے: ہمیشہ کے لیے محفوظ (فی GB-ماہ ادائیگی) یا مفت میں 7 دن تک، آپ کی اکاؤنٹ سیٹنگ یا ?storage= کے مطابق۔
ہر ماڈل میں ایک جیسی ساختtype، url، content_type، width، height اور duration، تصاویر، ویڈیو اور آڈیو سب کے لیے یکساں۔ output ماڈل کا اپنا نتیجہ آبجیکٹ ہے۔
آؤٹ پٹ کے فیلڈز
images
array of object {url, content_type, file_name, file_size}تخلیق سے تیار کردہ تصویر۔

مزید ماڈلز: تصویر میں ترمیم

AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/luma-photon/reframe.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt